
Ryzom - Bug # 1003

Status: Closed Priority: Normal
Author: rti Category: OS: Mac
Created: 07/05/2010 Assignee: vl
Updated: 01/08/2011 Due date:
Subject: Amount of FDs too low
Description

When executing ryzom core client from Terminal.app, the number of FDs is limited to 256 which is not enough to let ryzom open all it's
bnps.

History
#1 - 07/05/2010 05:05 pm - rti

http://discussions.apple.com/thread.jspa?messageID=11839845
http://stackoverflow.com/questions/3166783/how-to-increase-the-limit-of-maximum-open-files-in-c-on-mac-os-x

#2 - 12/12/2010 02:38 am - rti
- Status changed from New to Resolved
- Target version changed from Version 0.9.0 to Version 0.8.0

Works fine using from Terminal.app or clicking the app bundle.

The code ace added long time ago fixed this :)

client.cpp:387

#ifdef NL_OS_MAC
    struct rlimit rlp, rlp2, rlp3;

    getrlimit(RLIMIT_NOFILE, &rlp);

    rlp2.rlim_cur = 1024;
    rlp2.rlim_max = rlp.rlim_max;
    setrlimit(RLIMIT_NOFILE, &rlp2);

    getrlimit(RLIMIT_NOFILE, &rlp3);
    nlinfo("rlimit before %d %d\n", rlp.rlim_cur, rlp.rlim_max);
    nlinfo("rlimit after %d %d\n", rlp3.rlim_cur, rlp3.rlim_max);
#endif

#3 - 12/12/2010 10:46 am - kervala
- Assignee set to vl
- % Done changed from 0 to 100
http://discussions.apple.com/thread.jspa?messageID=11839845
http://stackoverflow.com/questions/3166783/how-to-increase-the-limit-of-maximum-open-files-in-c-on-mac-os-x


#4 - 01/08/2011 06:40 pm - rti
- Status changed from Resolved to Closed
